Main Page Widgets Namespaces Book

# Gtk::PrintContext Class Reference
[Printing]

Inheritance diagram for Gtk::PrintContext:

[legend]
List of all members.

## Detailed Description

A PrintContext encapsulates context information that is required when drawing pages for printing, such as the cairo context and important parameters like page size and resolution.

It also lets you easily create Pango::Layout and Pango::Context objects that match the font metrics of the cairo surface.

PrintContext objects gets passed to the begin-print, end-print, request-page-setup and draw-page signals on the PrintOperation.

Since gtkmm 2.10:

## Public Member Functions

Glib::RefPtr<Pango::Context> | create_pango_context ()
Glib::RefPtr<Pango::Layout> | create_pango_layout ()
Cairo::RefPtr<const Cairo::Context> | get_cairo_context () const
Cairo::RefPtr<Cairo::Context> | get_cairo_context ()
double | get_dpi_x () const
double | get_dpi_y () const
double | get_height () const
Glib::RefPtr<const PageSetup> | get_page_setup () const
Glib::RefPtr<PageSetup> | get_page_setup ()
Glib::RefPtr<const Pango::FontMap> | get_pango_fontmap () const
Glib::RefPtr<Pango::FontMap> | get_pango_fontmap ()
double | get_width () const
const GtkPrintContext* | gobj () const
| Provides access to the underlying C GObject.
GtkPrintContext* | gobj ()
| Provides access to the underlying C GObject.
GtkPrintContext* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_cairo_context (const Cairo::RefPtr<Cairo::Context>& cr, double dpi_x, double dpi_y)
virtual | ~PrintContext ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gtk::PrintContext> | wrap (GtkPrintContext* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gtk::PrintContext::~PrintContext | ( |  | ) | `[virtual]`

## Member Function Documentation

Glib::RefPtr<Pango::Context> Gtk::PrintContext::create_pango_context | ( |  | ) |

Glib::RefPtr<Pango::Layout> Gtk::PrintContext::create_pango_layout | ( |  | ) |

Cairo::RefPtr<const Cairo::Context> Gtk::PrintContext::get_cairo_context | ( |  | ) | const

Cairo::RefPtr<Cairo::Context> Gtk::PrintContext::get_cairo_context | ( |  | ) |

double Gtk::PrintContext::get_dpi_x | ( |  | ) | const

double Gtk::PrintContext::get_dpi_y | ( |  | ) | const

double Gtk::PrintContext::get_height | ( |  | ) | const

Glib::RefPtr<const PageSetup> Gtk::PrintContext::get_page_setup | ( |  | ) | const

Glib::RefPtr<PageSetup> Gtk::PrintContext::get_page_setup | ( |  | ) |

Glib::RefPtr<const Pango::FontMap> Gtk::PrintContext::get_pango_fontmap | ( |  | ) | const

Glib::RefPtr<Pango::FontMap> Gtk::PrintContext::get_pango_fontmap | ( |  | ) |

double Gtk::PrintContext::get_width | ( |  | ) | const

const GtkPrintContext* Gtk::PrintContext::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GtkPrintContext* Gtk::PrintContext::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GtkPrintContext* Gtk::PrintContext::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

void Gtk::PrintContext::set_cairo_context | ( | const Cairo::RefPtr< Cairo::Context > & | cr,
|  | double | dpi_x,
|  | double | dpi_y |
| ) |  |  |

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::PrintContext> wrap | ( | GtkPrintContext * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- printcontext.h